Issue 86142 - Support for Serbian Cyrillic Numbering Provider
Support for Serbian Cyrillic Numbering Provider
Status: CLOSED FIXED
Product: Internationalization
Classification: Code
Component: i18npool
current
All All
: P3 trivial (vote)
: ---
Assigned To: stefan.baltzer
issues@l10n
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 01:48 UTC by grakic
Modified: 2013-08-07 15:02 UTC (History)
1 user (show)

See Also:
Issue Type: PATCH
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Serbian Cyrillic Numbering Provider (11.04 KB, patch)
2008-02-16 01:49 UTC, grakic
no flags Details | Diff
sr_RS and sh_RS locale fix to include new serbian cyrillic numbering (15.57 KB, patch)
2008-06-15 15:20 UTC, grakic
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description grakic 2008-02-16 01:48:32 UTC
I have implemented support for Serbian Cyrillic Numbering Provider as there are
some differences from Russian and Bulgarian Cyrillic which are present in
OpenOffice.org. I assigned next four available codes: 47, 48, 49, 50.

Patch is attached. See a working example: http://ooo.matf.bg.ac.yu/writer_abv.png
Comment 1 grakic 2008-02-16 01:49:12 UTC
Created attachment 51540 [details]
Serbian Cyrillic Numbering Provider
Comment 2 ooo 2008-04-01 14:32:34 UTC
Hi Goran,

Thank you for your contribution.
Please note that to integrate code or data contributed we need a signed
Contributor Agreement form (SCA) filled-out, see
http://contributing.openoffice.org/programming.html#jca

Thanks
  Eike
Comment 3 grakic 2008-05-30 17:21:31 UTC
Is there any news on this issue?
Comment 4 ooo 2008-05-30 17:43:33 UTC
This issue is targeted to OOo3.1, we're still busy with OOo3.0, so ... no news.

Btw, I think you signed JCA/SCA in the mean time, correct? The list of approved
copyright agreements seems to be quite outdated, if you sent the form please add
yourself to http://wiki.services.openoffice.org/wiki/Pending_JCAs so we can
track that.

Thanks
  Eike
Comment 5 grakic 2008-05-30 17:59:47 UTC
Yes I emailed SCA on 2008-04-01, wiki page updated. 
Comment 6 grakic 2008-06-15 15:20:42 UTC
Created attachment 54491 [details]
sr_RS and sh_RS locale fix to include new serbian cyrillic numbering
Comment 7 erack 2008-10-23 20:23:41 UTC
In cws locales31:

i18npool/source/defaultnumberingprovider/defaultnumberingprovider.cxx  1.30.24.2
i18npool/source/localedata/data/sr_RS.xml  1.3.12.1
offapi/com/sun/star/style/NumberingType.idl  1.18.128.2
svx/source/dialog/numpages.src  1.64.242.1
sw/source/ui/misc/numberingtypelistbox.src  1.20.252.1
writerfilter/source/dmapper/DomainMapper_Impl.cxx  1.27.6.1

Note that I did not apply the patch to sh_RS.xml locale data because that is
Serbian Latin and not Serbian Cyrillic.

Note also that the constants in NumberingType.idl are incremented by one now
because in the meantime another constant was added, therefor also in
numpages.src and numberingtypelistbox.src
Comment 8 grakic 2008-10-23 21:07:51 UTC
Thanks. Do I have to open new issue for sh_RS.xml as it should use same
numbering options as sr_RS.xml?
Comment 9 ooo 2008-10-24 11:32:04 UTC
No, no new issue needed. I just don't understand why a Serbian Latin locale
should use Serbian Cyrillic numbering. Could you please elaborate?
Comment 10 grakic 2008-10-24 11:42:02 UTC
One can choose to use Serbian Latin translation, but has to write document in
Serbian Cyrillic very often. If you want to write documents in Serbian Cyrillic
you should be able use Serbian Cyrillic for numbering too.

Notice that locale also includes ABC and roman numberings, together with Serbian
Cyrillic as three most frequently used options.
Comment 11 ooo 2008-10-24 12:19:27 UTC
That doesn't make sense to me. If you write documents in Serbian Cyrillic you
should also use the Serbian Cyrillic language attribution for the document's
content instead of Serbian Latin, else you wouldn't be able to use spell-check,
get wrong number and date formats, and so on.
Comment 12 grakic 2008-10-24 12:48:24 UTC
But six default options in "Bullets and Numbering" dialog in Writer are selected
based on current locale used, not on language used in a document. (At least I
think it is so.)

If you write in Serbian (be it in cyrillic or latin script) most frequent
numberings are Numbers, Roman, ABC and Cyrillic and that should be reflected in
"Bullets and Numbering" dialog in Writer.

It will only raise confusion if there is a difference in options presented with
Serbian Latin and Serbian Cyrillic locale.

I hope this make thing clear enough.
Comment 13 erack 2008-11-21 21:18:51 UTC
Ok, understood. I took your word that this is what the Serbian community needs ;-)

In cws locales31:

i18npool/source/localedata/data/sh_RS.xml  1.3.12.1
Comment 14 grakic 2008-11-21 21:26:12 UTC
Thanks. If anybody objects (which I doubt), we can reopen the issue.
Comment 15 ooo 2008-12-11 15:08:16 UTC
Reassigning to QA for verification.
Comment 16 stefan.baltzer 2008-12-17 15:56:02 UTC
Verified in CWS locales31
Comment 17 thorsten.ziehm 2010-02-22 14:58:25 UTC
This issue is closed automatically. It should be fixed in a version with is
available for longer than half a year (OOo 3.1). If you think this issue isn't
fixed in the current version (OOo 3.2) please reopen it. But then please pay
attention about the field 'target milestone'.
The closure was approved by the Release Status Meeting at 22nd of February 2010
and it is based on the issue handling guideline for fixed/verified issues  :
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues